Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.edit
Class ECPControlHelper

    java.lang.Object
      org.eclipse.emf.ecp.internal.edit.ECPControlHelper

    public abstract class ECPControlHelper

extends Object

Author:
  Jonas

Constructor Summary
`ECPControlHelper()`

Method Summary
`static void` | `addModelElementInReference(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EObject newMEInstance, org.eclipse.emf.ecore.EReference eReference, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`static void` | `addModelElementsInReference(org.eclipse.emf.ecore.EObject eObject, Set<org.eclipse.emf.ecore.EObject> eObjects, org.eclipse.emf.ecore.EReference eReference, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`static void` | `removeExistingReferences(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EReference eReference, Set<org.eclipse.emf.ecore.EObject> elements)` Removes elements, which are already referenced.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPControlHelper

    public ECPControlHelper()

Method Detail

### addModelElementInReference

    public static void addModelElementInReference(org.eclipse.emf.ecore.EObject eObject,
                                                  org.eclipse.emf.ecore.EObject newMEInstance,
                                                  org.eclipse.emf.ecore.EReference eReference,
                                                  org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Parameters:
    `eObject` - the object to add a reference to
    `newMEInstance` - the object which is added as a reference
    `eReference` - the reference to be modified
    `editingDomain` - the editing domain to execute commands on

### addModelElementsInReference

    public static void addModelElementsInReference(org.eclipse.emf.ecore.EObject eObject,
                                                   Set<org.eclipse.emf.ecore.EObject> eObjects,
                                                   org.eclipse.emf.ecore.EReference eReference,
                                                   org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Parameters:
    `eObject` - the objects to add a reference to
    `eObjects` - the objects which is added as a reference
    `eReference` - the reference to be modified
    `editingDomain` - the editing domain to execute commands on

### removeExistingReferences

    public static void removeExistingReferences(org.eclipse.emf.ecore.EObject eObject,
                                                org.eclipse.emf.ecore.EReference eReference,
                                                Set<org.eclipse.emf.ecore.EObject> elements)

  Removes elements, which are already referenced.

  Parameters:
    `eObject` - The object holding the reference
    `eReference` - the reference
    `elements` - the elements to remove existing elements from

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.